%define upstream_name    Plack-Middleware-Debug-TraceENV
%define upstream_version 0.044

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Debug panel for tracing %ENV
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Plack/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(HTTP::Request::Common)
BuildRequires: perl(Module::Build) >= 0.420.0
BuildRequires: perl(Plack::Builder)
BuildRequires: perl(Plack::Middleware::Debug)
BuildRequires: perl(Plack::Test)
BuildRequires: perl(Plack::Util::Accessor)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(parent)
BuildArch:  noarch

%description
Plack::Middleware::Debug::TraceENV is debug panel for watching %ENV.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.44.0-2.mga10
+ Revision: 2217253
- Mageia 10 Mass Rebuild

* Mon Jan 09 2023 tv <tv> 0.44.0-1.mga9
+ Revision: 1931865
- update to 0.044

* Mon Mar 21 2022 umeabot <umeabot> 0.43.0-4.mga9
+ Revision: 1810039
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.43.0-3.mga8
+ Revision: 1505983
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.43.0-2.mga7
+ Revision: 1285726
- Mageia 7 Mass Rebuild

* Tue Mar 20 2018 shlomif <shlomif> 0.43.0-1.mga7
+ Revision: 1210675
- update to 0.043

* Fri Jul 28 2017 sander85 <sander85> 0.42.0-1.mga7
+ Revision: 1132111
- update to 0.042

* Sun Jun 19 2016 pterjan <pterjan> 0.41.0-6.mga6
+ Revision: 1032102
- Rebuild for perl 5.22.2

* Wed Feb 03 2016 umeabot <umeabot> 0.41.0-5.mga6
+ Revision: 933577
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.41.0-4.mga5
+ Revision: 744978
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.41.0-3.mga5
+ Revision: 685978
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.41.0-2.mga4
+ Revision: 527674
- Mageia 4 Mass Rebuild

* Mon Jun 10 2013 jquelin <jquelin> 0.41.0-1.mga4
+ Revision: 441726
- update to 0.041

* Sun Jan 13 2013 umeabot <umeabot> 0.40.0-2.mga3
+ Revision: 371838
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 jquelin <jquelin> 0.40.0-1.mga3
+ Revision: 315819
- update to 0.04

* Mon Oct 15 2012 jquelin <jquelin> 0.30.0-1.mga3
+ Revision: 306209
- update to 0.03

* Tue Oct 09 2012 jquelin <jquelin> 0.10.0-2.mga3
+ Revision: 303848
- bs ate the pkg (again)

* Tue Oct 09 2012 jquelin <jquelin> 0.10.0-1.mga3
+ Revision: 303827
- imported package perl-Plack-Middleware-Debug-TraceENV


* Tue Oct 09 2012 cpan2dist 0.01-1mga
- initial mageia release, generated with cpan2dist
